unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, RTTIGrids, SerialPort, ModBusSerial,
  PLCTagNumber, HMIEdit, HMILabel, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ExtCtrls, windows;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button3: TButton;
    HMIEdit1: THMIEdit;
    HMIEdit2: THMIEdit;
    HMILabel1: THMILabel;
    Label1: TLabel;
    Memo1: TMemo;
    ModBusRTUDriver1: TModBusRTUDriver;
    PLCTagNumber1: TPLCTagNumber;
    SerialPortDriver1: TSerialPortDriver;
    Timer1: TTimer;
    TIPropertyGrid1: TTIPropertyGrid;
    TIPropertyGrid2: TTIPropertyGrid;

    procedure Button3Click(Sender: TObject);
    procedure Memo1Change(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);


  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }



procedure TForm1.Button3Click(Sender: TObject);

  var Memory : TMemoryStatus;
begin
  Memory.dwLength := SizeOf(Memory);
  GlobalMemoryStatus(Memory);

  with Memo1.Lines do
    begin
      Add(FloatToStr(Memory.dwMemoryLoad)           + '% używanej pamięci');
      Add(FloatToStr(Memory.dwTotalPhys     / 1024) + ' kB całkowitej pamięci');
      Add(FloatToStr(Memory.dwAvailPhys     / 1024) + ' kB dostępnej pamięci');
      Add(FloatToStr(Memory.dwTotalPageFile / 1024) + ' kB może być umieszczone w pliku stron');
      Add(FloatToStr(Memory.dwAvailPageFile / 1024) + ' kB dostępnej pamięci pliku stron');
      Add(FloatToStr(Memory.dwTotalVirtual  / 1024) + ' kB całkowitej pamięci wirtualnej');
      Add(FloatToSTr(Memory.dwAvailVirtual  / 1024) + ' kB dostępnej pamięci wirtualnej');
    end;
end;

procedure TForm1.Memo1Change(Sender: TObject);
begin

end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  label1.Caption:=floattostr(PLCTagNumber1.Value);

TIPropertyGrid1.RefreshPropertyValues;
end;




end.

